DROP PUBLICATION(7)

NAME
DROP_PUBLICATION - remove a publication

SYNOPSIS

DROP PUBLICATION [ IF EXISTS ] name [, ...] [ CASCADE | RESTRICT ]

DESCRIPTION

DROP PUBLICATION removes an existing publication from the database.

A publication can only be dropped by its owner or a superuser.

PARAMETERS

IF EXISTS
    Do not throw an error if the publication does not exist. A notice is issued in this case.

name
    The name of an existing publication.

CASCADE
RESTRICT
    These key words do not have any effect, since there are no dependencies on publications.

EXAMPLES

Drop a publication:

    DROP PUBLICATION mypublication;

COMPATIBILITY

DROP PUBLICATION is a PostgreSQL extension.

SEE ALSO
CREATE PUBLICATION (CREATE_PUBLICATION(7)), ALTER PUBLICATION (ALTER_PUBLICATION(7))